function showNewPopup(id) {
  jQuery('#' + id).fadeIn();
  jQuery('.binged-popup-system').fadeIn();
}

function closeNewPopup() {
  jQuery('.binged-popup-system').fadeOut();
  jQuery('.popup').fadeOut();
}

function hideAppStoreLink() {
  setTimeout(function () {
      jQuery('body').removeClass('has-binged-mobile-appstore-link');
    },
    10000)
}


jQuery(document).ready(function ($) {

  $('.binged-popup-system .popup-closed').click(closeNewPopup);

  // Drawer

  $('.bng-drawer-open').click(function (e) {
    e.preventDefault();
    $($(this).attr('href')).addClass('active');
    $(document.body).addClass('no-scroll');
  });

  $('.bng-drawer__close').click(function () {
    $(this).closest('.bng-drawer').removeClass('active');
    $(document.body).removeClass('no-scroll');
  });

  $('.popups').click(function (e) {
    if ($(e.target).hasClass('popups')) {
      closeNewPopup();
    }
  });

  if (location.hash === '#account-validated') {
    location.hash = '';
    bingedOpenLoginPopup();
  }

  $('.popup-rate-stars span').mouseover(function () {
    var number = parseInt($(this).attr('data-star'));
    $('.popup-rate-stars span').each(function (e, element) {
      if (e < number) {
        $(element).addClass('hovered');
      } else {
        $(element).removeClass('hovered');
      }
    });
  }).mouseout(function () {
    $('.popup-rate-stars span').removeClass('hovered');
  }).click(function () {
    $('.popup-rate-stars span').unbind('mouseover');
    $('.popup-rate-stars span').unbind('mouseout');
    var number = parseInt($(this).attr('data-star'));
    $('.popup-rate-stars span').each(function (e, element) {
      if (e < number) {
        $(element).addClass('hovered');
      } else {
        $(element).removeClass('hovered');
      }
    });
  });


  $('.bng-review-popup-btn').click(function (e) {
    e.preventDefault();
    $('#popup-rate .popup-rate-title').html($('.single-mevents-title h1').html())
    showNewPopup('popup-rate');
  });


  $('.single-mevents-tubs-items-item-ratting-add').click(function () {
    var $self = $(this);
    if (bingedData.isLoggedIn) {
      showNewPopup('popup-rate');
    } else {
      bingedOpenLoginPopup();
    }

  });



  // Add Rating
  $(document.body).on('click', '.bng-movie-info__rating .bng-movie-info__rating-star', function () {

    if ($(this).parent().hasClass('not-rated')) {
      if (bingedData.isLoggedIn) {
        $('#popup-rate .popup-rate-title').html($('h1.bng-movie-info__title').html())
        showNewPopup('popup-rate');
      } else {
        bingedOpenLoginPopup();
      }
    } else {
        $('html, body').stop().animate({
          scrollTop: $('#bng-comments').offset().top - 50
        }, 1000);
    }

  });

  $(document.body).on('click', '.bng-movie-info__rating .bng-movie-info__rating-value', function () {
    $('html, body').stop().animate({
      scrollTop: $('#bng-comments').offset().top - 50
    }, 1000);
  });


  $('#popup-rate .popup-rate-button > div').click(function () {
    var rating = $('.popup-rate-stars span.hovered').length;
    var review = $('#rate-review').val();
    var valid = true;

    $('#popup-rate-rate').removeClass('error');
    $('#rate-review').removeClass('error');

    if (rating == 0) {
      $('#popup-rate-rate').addClass('error');
      valid = false;
    }

    if (review.length == 0) {
      $('#rate-review').addClass('error');
      valid = false;
    }

    if (!valid) {
      return false;
    }

    return jQuery.post(
      __ajax_url,
      {
        action: 'manage_rate_new',
        post_id: $('#binged-single-movie-id').val(),
        comment: $('#rate-review').val(),
        rate: rating
      },
      function (response) {
        if (response) {
          toastr.info('Thank you for your review');
          setTimeout(function () {
            document.location.reload();
          }, 3000);
        }
      }
    );
  });


  $('.bng-header-mobile__search-toggle').click(function (e) {
    e.stopPropagation();

    $('.bng-header-mobile__search').addClass('bng-active');
    $('.bng-header-mobile-search__input').focus();

  });

  $('.bng-header-mobile-search__input').on('ontouchend', function () {
    $(this).focus();
  });

  $('.bng-header-mobile-search__close').click(function () {
    $('.bng-header-mobile .bng-active').removeClass('bng-active');
    $('.bng-header-mobile-search__filters-toggle').removeClass('bng-close');
  });


  if ($("#user-phone").length) {
    $("#user-phone").intlTelInput({
      initialCountry: "in",
      preferredCountries: ["in"],
      placeholderNumberType : 'FIXED_LINE',
      autoPlaceholder : 'aggressive'
    });

    jQuery("#user-phone").on('countrychange', function(e){
      var newCountry = (jQuery("#user-phone").intlTelInput('getSelectedCountryData'));
      jQuery("#user-phone").val('+' + newCountry['dialCode'] );
    });
  }

  jQuery('body').click(function (e) {
    if (!jQuery(e.target).hasClass('bng-header-mobile-search__input') && jQuery('.bng-header-mobile__search').hasClass('bng-active')) {
      jQuery('.bng-header-mobile-search__close').trigger('click');
      jQuery('.bng-header-mobile-search__input').blur();
    }
  });

  //hideAppStoreLink();

});

jQuery(window).scroll(function () {
  if (jQuery('.bng-header-mobile__search').hasClass('bng-active')) {
    console.log('123');
    jQuery('.bng-header-mobile-search__close').trigger('click');
    jQuery('.bng-header-mobile-search__input').blur();
  }
});

/* ========================================================================
 * DOM-based Routing
 * Based on http://goo.gl/EUTi53 by Paul Irish
 *
 * Only fires on body classes that match. If a body class contains a dash,
 * replace the dash with an underscore when adding it to the object below.
 *
 * .noConflict()
 * The routing is enclosed within an anonymous function so that you can
 * always reference jQuery with $, even when in .noConflict() mode.
 *
 * ======================================================================== */
(function ($) {

  // Use this variable to set up the common and page specific functions. If you
  // rename this variable, you will also need to rename the namespace below.
  var main = {
    // All pages
    common: {
      init: function () {
        // Init Landing Page Ads
        main.common.ads.landingPageAds();

      },
      ads: {
        landingPageAds: function () {
/*
          var $modal = $('.bng-ad-modal');

          if ($modal.length === 0) {
            return;
          }

          var bngAdModalCounter = 15;
          var bngAdModalCounterInterval = null;

          $modal.addClass('bng-ad-modal--active');
          $(document.body).css('overflow', 'hidden');

          bngAdModalCounterInterval = window.setInterval(function () {
            if (bngAdModalCounter === 0) {
              $modal.trigger('bng-close-ad-modal');
              return;
            }
            bngAdModalCounter--;
          }, 0);

          $(".bng-ad-modal__close").click(function () {
            $modal.trigger('bng-close-ad-modal');
          });

          $modal.on('bng-close-ad-modal', function () {

            $(document.body).css('overflow', 'auto');
            $(this).removeClass('bng-ad-modal--active');

            if (bngAdModalCounterInterval) {
              clearInterval(bngAdModalCounterInterval);
            }

          });
          */

        }

      },
      media: {
        isMobile: function () {
          return window.matchMedia("(max-width: 549px)").matches;
        }
      }
    },
    single_mevents: {
      init: function () {

        var movieId = $('#binged-single-movie-id').val();

        $('body').on('binged-manage-watchlist', function (e, data) {
          if (movieId === data.post_id) {
            $('.bng-movie-top-bar .bng-watchlist-count').text(data.total);
          }
        }).on('binged-manage-watched', function (e, data) {
          if (movieId === data.post_id) {
            $('.bng-movie-top-bar .bng-watched-count').text(data.total);
          }
        }).on('binged-manage-likes', function (e, data) {
          if (movieId === data.post_id) {
            $('.bng-movie-top-bar .bng-likes-count').text(data.total);
          }
        }).on('binged-manage-dislikes', function (e, data) {
          if (movieId === data.post_id) {
            $('.bng-movie-top-bar .bng-dislikes-count').text(data.total);
          }
        });

        $('.bng-movie-info__rating .rateit').bind('rated', function (event, value) {

          var $self = $(this);

          $.ajax({
            type: 'POST',
            url: bingedData.ajaxUrl,
            data: {
              action: 'manage_rate',
              post_id: $self.data('post_id'),
              rate: value
            },
            success: function (resp) {

              if (resp.success) {

                $('.bng-movie-info__rating span').text(parseFloat(resp.data.average_rating) + '/5');
                $self.rateit('value', parseFloat(resp.data.average_rating));
                $self.rateit('readonly', true);

                toastr.info('Rated');

                $('body').trigger('binged-manage-rating', [resp.data]);
              } else {
                toastr.warning(resp.data);
              }

            },
            error: function (xhr, ajaxOptions, thrownError) {
              toastr.warning('Server error.');
            },
          });

        });

        // $('.bng-content').readmore({
        //   speed: 800,
        //   collapsedHeight: 90,
        //   moreLink: '<a href="#" class="bng-see-all">Read more »</a>',
        //   lessLink: '<a href="#" class="bng-see-all">Collapse</a>'
        // });

      }
    }
  };

  // The routing fires all common scripts, followed by the page specific scripts.
  // Add additional events for more control over timing e.g. a finalize event
  var UTIL = {
    fire: function (func, funcname, args) {
      var namespace = main;
      funcname = (funcname === undefined) ? 'init' : funcname;
      if (func !== '' && namespace[func] && typeof namespace[func][funcname] === 'function') {
        namespace[func][funcname](args);
      }
    },
    loadEvents: function () {
      UTIL.fire('common');
      $.each(document.body.className.replace(/-/g, '_').split(/\s+/), function (i, classnm) {
        UTIL.fire(classnm);
      });
    }
  };

  $(document).ready(UTIL.loadEvents);

})(jQuery); // Fully reference jQuery after this point.