// Global functions

function slManageFollowed(el) {

    return jQuery.post(
      __ajax_url,
      {
        action: 'manage_followed',
        follower_id: jQuery(el).data('follower_id'),
        following_id: jQuery(el).data('following_id')
      },
      function (response) {
        if (response) {
          jQuery(el).toggleClass('active');
          if (jQuery(el).hasClass('active')) {
            toastr.info('Followed');
          } else {
            toastr.info('UnFollowed');
          }

        }
      }
    );
  }

  function slManageWatched(el) {

    return jQuery.post(
      __ajax_url,
      {
        action: 'manage_watched',
        post_id: jQuery(el).data('post_id'),
        post_reload: jQuery(el).data('post_reload')
      },
      function (resp) {
        if (resp.success) {
          if (jQuery(el).data('post_reload') == '1') {
            window.location.reload();
          } else {
            if (resp.data.action === 'add') {
              toastr.info('Watched');
              jQuery(el).addClass('active');
            } else {
              toastr.info('Removed from Watched');
              jQuery(el).removeClass('active');
            }
          }
        } else {
          toastr.warning(resp.data);
        }
      }
    );
  }

  function slManageWachList(el) {

    return jQuery.post(
      __ajax_url,
      {
        action: 'manage_watchlist',
        post_id: jQuery(el).data('post_id'),
        post_reload: jQuery(el).data('post_reload')
      },
      function (resp) {
        if (resp.success) {
          if (jQuery(el).data('post_reload') == '1') {
            window.location.reload();
          } else {
            if (resp.data.action === 'add') {
              toastr.info('Added to Watchlist');
              jQuery(el).addClass('active');
            } else {
              toastr.info('Removed from Watchlist');
              jQuery(el).removeClass('active');
            }
          }
        } else {
          toastr.warning(resp.data);
        }
      }
    );
  }

  function slManageLiked(el) {

    return jQuery.post(
      __ajax_url,
      {
        action: 'manage_liked',
        post_id: jQuery(el).data('post_id'),
        post_reload: jQuery(el).data('post_reload')
      },
      function (resp) {
        if (resp.success) {
          if (jQuery(el).data('post_reload') == '1') {
            window.location.reload();
          } else {
            if (resp.data.action === 'add') {
              toastr.info('Liked');
              jQuery(el).addClass('active');
            } else {
              toastr.info('Removed Like');
              jQuery(el).removeClass('active');
            }
          }
        } else {
          toastr.warning(resp.data);
        }
      }
    );
  }

  function slManageRated(el) {
    return jQuery.post(
      __ajax_url,
      {
        action: 'manage_rate',
        post_id: jQuery(el).data('post_id'),
        rate: jQuery(el).data('rate')
      },
      function (response) {
        if (response) {
          window.location.reload();
        }
      }
    );
  }

  function slShowRatedStars(el) {
    var rate = jQuery(el).data('rate');
    jQuery('.activeStars.noVoted a').removeClass('active');
    for (var i = 0; i < rate; i++) {
      jQuery('.activeStars.noVoted a:nth-child(' + i + ')').addClass('active');
    }
  }

  function bingedOpenLoginPopup() {
    jQuery('.registerOverlayOuter').fadeIn();
    jQuery('.formTabs .login').addClass('active');
    jQuery('.formTabs .register').removeClass('active');
    jQuery('.registerOverlayOuter .loginFormOuter').fadeIn();
    jQuery('.registerOverlayOuter .registerFormOuter').hide();
    jQuery('body').addClass('no-scroll');
    jQuery('.custom-menu').removeClass('opened');
    jQuery('.new-design-header').removeClass('opened');
    jQuery('.mobile-search-block').removeClass('opened');
  }
  
  function bingedOpenRegisterPopup() {
    jQuery('.registerOverlayOuter').fadeIn();
    jQuery('.registerInner .loginFormOuter').hide();
    jQuery('.registerInner .registerFormOuter').fadeIn();
    jQuery('.registerOverlayOuter .formTabs a').removeClass('active');
    jQuery('.registerOverlayOuter .formTabs a.register').addClass('active');
    jQuery('body').addClass('no-scroll');
    jQuery('.custom-menu').removeClass('opened');
    jQuery('.new-design-header').removeClass('opened');
    jQuery('.mobile-search-block').removeClass('opened');
  }
  
  function bingedDebounce(callback, ms) {
    var timer = 0;
    return function () {
      var context = this, args = arguments;
      clearTimeout(timer);
      timer = setTimeout(function () {
        callback.apply(context, args);
      }, ms || 0);
    };
  }
  
  function bingedLoader() {
    return '<div class="binged-loader"><div></div><div></div><div></div><div></div></div>';
  }